%define name xvid
%define version 1.3.2
%define fname xvidcore-%{version}

%define major 4
%define libname %mklibname %{name} %{major}
%define develname %mklibname -d %{name}

Summary: Video codec compatible with divx4
Name: %{name}
Version: %{version}
Release: %mkrel 1
Source0: http://downloads.xvid.org/downloads/%fname.tar.bz2
License: GPLv2+
Group: System/Libraries
URL: http://www.xvid.org
BuildRoot: %{_tmppath}/%{name}-buildroot
Epoch: 2
BuildRequires: yasm

%description
This is a video codec based on the original OpenDivX codec. It's
compatible with DivX and MPEG 4.

%package -n %libname
Group: System/Libraries
Summary: Video codec compatible with divx4
Provides: lib%{name} = %{version}-%{release}
Obsoletes: %{name}
Provides: %{name}

%description -n %libname 
This is a video codec based on the original OpenDivX codec. It's
compatible with DivX and MPEG 4.

%package -n %develname
Group:Development/C
Summary: Video codec compatible with divx4, devel files
Requires: %{libname} = %{epoch}:%{version}-%{release}
Provides: %{name}-devel = %{version}-%{release}
Obsoletes: %{name}-devel %{mklibname -d %{name} 4}
Conflicts: xvid2-devel
Provides: lib%{name}-devel = %{version}-%{release}
Provides: xvid4-devel = %{version}-%{release}

%description -n %develname
This is a video codec based on the original OpenDivX codec. It's
compatible with DivX and MPEG 4.

This package contains the header files and static libraries needed to
build programs with the xvid codec using it's native API.

%prep
%setup -q -n xvidcore

%build
cd build/generic
%configure2_5x
%make

%install
rm -rf %{buildroot}
cd build/generic
%makeinstall
ln -s libxvidcore.so.%{major} %{buildroot}%{_libdir}/libxvidcore.so

%clean
rm -rf %{buildroot}

%if %mdvver < 200900
%post -n %libname -p /sbin/ldconfig
%postun -n %libname -p /sbin/ldconfig
%endif

%files -n %libname 
%defattr(-,root,root)
%doc LICENSE README
%_libdir/libxvidcore.so.%{major}*

%files -n %develname
%defattr(-,root,root)
%doc ChangeLog CodingStyle TODO AUTHORS
%{_libdir}/libxvidcore.so
%{_libdir}/libxvidcore.a
%{_includedir}/xvid.h



%changelog
* Thu Jul 28 2011 Andrey Bondrov <abondrov@mandriva.org> 2:1.3.2-1mdv2012.0
+ Revision: 692061
- imported package xvid


* Thu Jul 28 2011 Andrey Bondrov <bondrov@math.dvgu.ru> 1.3.2-1mdv2011.0
- New version

* Sun May 31 2009 Götz Waschk <goetz@zarb.org> 1.2.2-1plf2010.0
- drop patch
- new version

* Wed Dec  3 2008 Götz Waschk <goetz@zarb.org> 1.2.0-2plf2009.1
- reenable fortify
- fix from Per Øyvind Karlsen to fix build with fortify

* Wed Dec  3 2008 Götz Waschk <goetz@zarb.org> 1.2.0-1plf2009.1
- spec fixes
- update license
- new devel name
- disable fortify to make it build
- new version

* Thu May 29 2008 Anssi Hannula <anssi@zarb.org> 1.1.3-2plf2009.0
- build with yasm instead of nasm (preferred by configure and has
  support for more archs)
- drop old compatibility defines
- UTF-8 specfile

* Tue Jul  3 2007 Götz Waschk <goetz@zarb.org> 1.1.3-1plf2008.0
- new version

* Wed Nov  1 2006 Götz Waschk <goetz@zarb.org> 1.1.2-1plf2007.1
- fix description
- new source URL
- new version

* Sat Dec 31 2005 trem <trem@zarb.org> 1.1.0-1plf
- new version

* Mon Apr 25 2005 Götz Waschk <goetz@zarb.org> 1.1.0-0.beta2.1plf
- new version

* Thu Apr 14 2005 Götz Waschk <goetz@zarb.org> 1.0.3-2plf
- mkrel

* Thu Feb 17 2005 Götz Waschk <goetz@zarb.org> 1.0.3-1plf
- New release 1.0.3

* Wed Sep  1 2004 Götz Waschk <goetz@zarb.org> 1.0.2-1plf
- add source URL
- New release 1.0.2

* Tue Jun  8 2004 Götz Waschk <goetz@plf.zarb.org> 1.0.1-1plf
- provide xvid4-devel
- new version

* Mon May 17 2004 Götz Waschk <goetz@plf.zarb.org> 1.0.0-1plf
- new version

* Mon Apr 12 2004 Götz Waschk <goetz@plf.zarb.org> 1.0.0-0.rc4.1plf
- new version

* Thu Apr  1 2004 Götz Waschk <goetz@plf.zarb.org> 1.0.0-0.rc3.3plf
- back to rc3

* Thu Apr  1 2004 Götz Waschk <goetz@plf.zarb.org> 1.0.0-1plf
- update description
- new version

* Thu Mar  4 2004 Götz Waschk <goetz@plf.zarb.org> 1.0.0-0.rc3.2plf
- fix devel requirement

* Wed Mar  3 2004 Götz Waschk <goetz@plf.zarb.org> 1.0.0-0.rc3.1plf
- new version

* Thu Feb 12 2004 Götz Waschk <goetz@plf.zarb.org> 1.0.0-0.rc2.1plf
- new prerelease

* Mon Jan  5 2004 Götz Waschk <goetz@plf.zarb.org> 1.0.0-0.beta3.1plf
- use the mdkversion macro
- new version

* Sun Jan  4 2004 Götz Waschk <goetz@plf.zarb.org> 1.0.0-0.beta2.3plf
- fix shared library symlink

* Wed Dec 10 2003 Götz Waschk <goetz@plf.zarb.org> 1.0.0-0.beta2.2plf
- fix spec for mdk 9.0

* Tue Dec  9 2003 Götz Waschk <goetz@plf.zarb.org> 1.0.0-0.beta2.1plf
- add conflict with xvid2-devel
- new version

* Mon Dec  1 2003 Götz Waschk <goetz@plf.zarb.org> 1.0.0-0.beta1.1plf
- drop divx compatiblity headers
- spec cleanup
- major 4
- new version

* Sat Oct  4 2003 Olivier Blin <oliv.blin@laposte.net> 0.9.2-2plf
- fix obsoletes (do not use version)

* Sun Sep  7 2003 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.9.2-1plf
- 0.9.2
- libdification and %%mklibname
- cleanup

* Tue Jun 24 2003 Götz Waschk <goetz@plf.zarb.org> 0.9.1-3plf
- fix doc section

* Sun May 18 2003 Götz Waschk <goetz@plf.zarb.org> 0.9.1-2plf
- enable divx compatibility, does anybody still need this?

* Sat Feb 15 2003 Laurent Culioli <laurent@pschit.net> 0.9.1-1plf
- 0.9.1

* Tue Dec 10 2002 Götz Waschk <waschk@informatik.uni-rostock.de> 0.9.0-1plf
- add missing docs
- epoch 1
- 0.9.0 release

* Thu Nov  7 2002 Götz Waschk <waschk@linux-mandrake.com> 20021007-1plf
- new snapshot

* Wed Jul 31 2002 Götz Waschk <waschk@linux-mandrake.com> 20020731-1plf
- add explicit conflict xvid-divx-devel <> libdivx4linux0-devel
- new snapshot
- renamed static lib

* Fri Jul 19 2002 Götz Waschk <waschk@informatik.uni-rostock.de> 20020719-1plf
- a new snapshot

* Wed Jun 19 2002 Götz Waschk <waschk@linux-mandrake.com> 20020619-1plf
- new snapshot
- use Makefile.linux for x86 

* Fri Jun 07 2002 Olivier Thauvin <thauvin@aerov.jussieu.fr> 20020520-2plf
- ppc adaptation
- use %%make instead make

* Mon May 20 2002 Götz Waschk <waschk@linux-mandrake.com> 20020520-1plf
- snapshot
- split package again, extra package for divx headers

* Tue May 14 2002 Götz Waschk <waschk@linux-mandrake.com> 20020514-1plf
- split package
- new cvs snapshot

* Mon Apr 22 2002 Götz Waschk <waschk@linux-mandrake.com> 20020412-1plf
- better late than never a new snapshot
- add divx4.h header file

* Tue Apr  9 2002 Götz Waschk <waschk@linux-mandrake.com> 20020404-1plf
- new snapshot
- change license to GPL
- fix build, use the right makefile
- requires nasm 0.98 aka nasm-compat

* Mon Feb 25 2002 Götz Waschk <waschk@linux-mandrake.com> 20020121-1plf
- adapt CFLAGS
- initial package


# end of file
